# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/scrapy-2.6.1-python_3.9-on-linux_64, last modified Wed Mar  9 08:29:06 2022
# ------------------------------------------------

package:
  name: scrapy
  version: 2.6.1
source:
  sha256: 56fd55a59d0f329ce752892358abee5a6b50b4fc55a40420ea317dc617553827
  url: https://pypi.io/packages/source/S/Scrapy/Scrapy-2.6.1.tar.gz
build:
  entry_points:
    - scrapy = scrapy.cmdline:execute
  number: '0'
  script: /tmp/build/80754af9/scrapy_1646837771788/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps -vv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.37.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - cryptography >=2.0
    - cssselect >=0.9.1
    - itemadapter >=0.1.0
    - itemloaders >=1.0.1
    - libxml2
    - lxml >=3.5.0
    - parsel >=1.5.0
    - protego >=0.1.15
    - pyOpenSSL >=16.2.0
    - pydispatcher >=2.0.5
    - python >=3.9,<3.10.0a0
    - queuelib >=1.4.2
    - service_identity >=16.0.0
    - setuptools
    - tldextract
    - twisted >=17.9.0
    - w3lib >=1.17.0
    - zope.interface >=4.1.3
test:
  commands:
    - pip check
    - scrapy bench
    - scrapy --help
  imports:
    - scrapy
  requires:
    - pip
about:
  description: 'Scrapy is an open source and collaborative framework for extracting
    the

    data you need from websites in a fast, simple, yet extensible way.

    '
  dev_url: https://github.com/scrapy/scrapy
  doc_url: https://docs.scrapy.org
  home: https://scrapy.org/
  license: BSD-3-Clause-Clear
  license_file: LICENSE
  summary: A high-level Python Screen Scraping framework
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - redapple
    - rmax
